Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Alarm Operations
GETAlarm OperationsSince 4.1.0SynchronousAuth Required

GetZWatchAlertHistogram

GetZWatchAlertHistogram

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • tableNameStringRequired

    The message type.

  • startTimeLongRequired

    The start time.

  • endTimeLongRequired

    The end time.

  • intervalHoursStringRequired

    The interval (hour).

  • groupColumnsList

    Optional. The group attributes.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • histogramsListRequired

    No description provided.

Endpoint

GET/zstack/v1/zwatch/alert-histories/histogram

/zstack/v1/zwatch/alert-histories/histogram

Operation ID

GetZWatchAlertHistogram

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zwatch/alert-histories/histogram?tableName=<tableName>&startTime=1&endTime=1&intervalHours=<intervalHours>&groupColumns=<groupColumns>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "histograms": [ { "time": 1.510669257141E12, "count": 50.0, "tags": [ { "name": "emergencyLevel", "value": "Emergent" } ] } ] }

Change History

This API has no change history records yet.

View all change history